package com.ruoyi.project.business.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;

/**
 * 客户（组织）联系人履历对象 tc_account_contact_history
 * 
 * @author ruoyi
 * @date 2024-04-23
 */
public class TcAccountContactHistory extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 联系人ID */
    private Long contactId;

    /** 客户ID */
    @Excel(name = "客户ID")
    private Long accountId;

    /** 客户编号 */
    @Excel(name = "客户编号")
    private String contactName;

    /** 联系方式 */
    @Excel(name = "联系方式")
    private String phone;

    /** 邮箱 */
    @Excel(name = "邮箱")
    private String email;

    /** 地址 */
    @Excel(name = "地址")
    private String address;

    /** 职务 */
    @Excel(name = "职务")
    private String jobTitle;

    /** 纪念日 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "纪念日", width = 30, dateFormat = "yyyy-MM-dd")
    private Date birthday;

    /** 星座 */
    @Excel(name = "星座")
    private String horoscope;

    /** 婚姻状态（关联字典） */
    @Excel(name = "婚姻状态", readConverterExp = "关=联字典")
    private String maritalStatus;

    /** 兴趣爱好 */
    @Excel(name = "兴趣爱好")
    private String hobbies;

    /** 版本号 */
    @Excel(name = "版本号")
    private Long version;

    /** 删除标记（0：启用  1：停用） */
    private String delFlag;

    public void setContactId(Long contactId) 
    {
        this.contactId = contactId;
    }

    public Long getContactId() 
    {
        return contactId;
    }
    public void setAccountId(Long accountId) 
    {
        this.accountId = accountId;
    }

    public Long getAccountId() 
    {
        return accountId;
    }
    public void setContactName(String contactName) 
    {
        this.contactName = contactName;
    }

    public String getContactName() 
    {
        return contactName;
    }
    public void setPhone(String phone) 
    {
        this.phone = phone;
    }

    public String getPhone() 
    {
        return phone;
    }
    public void setEmail(String email) 
    {
        this.email = email;
    }

    public String getEmail() 
    {
        return email;
    }
    public void setAddress(String address) 
    {
        this.address = address;
    }

    public String getAddress() 
    {
        return address;
    }
    public void setJobTitle(String jobTitle) 
    {
        this.jobTitle = jobTitle;
    }

    public String getJobTitle() 
    {
        return jobTitle;
    }
    public void setBirthday(Date birthday) 
    {
        this.birthday = birthday;
    }

    public Date getBirthday() 
    {
        return birthday;
    }
    public void setHoroscope(String horoscope) 
    {
        this.horoscope = horoscope;
    }

    public String getHoroscope() 
    {
        return horoscope;
    }
    public void setMaritalStatus(String maritalStatus)
    {
        this.maritalStatus = maritalStatus;
    }

    public String getMaritalStatus()
    {
        return maritalStatus;
    }
    public void setHobbies(String hobbies) 
    {
        this.hobbies = hobbies;
    }

    public String getHobbies() 
    {
        return hobbies;
    }
    public void setVersion(Long version) 
    {
        this.version = version;
    }

    public Long getVersion() 
    {
        return version;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("contactId", getContactId())
            .append("accountId", getAccountId())
            .append("contactName", getContactName())
            .append("phone", getPhone())
            .append("email", getEmail())
            .append("address", getAddress())
            .append("jobTitle", getJobTitle())
            .append("birthday", getBirthday())
            .append("horoscope", getHoroscope())
            .append("maritalStatus", getMaritalStatus())
            .append("hobbies", getHobbies())
            .append("version", getVersion())
            .append("delFlag", getDelFlag())
            .append("createTime", getCreateTime())
            .append("createBy", getCreateBy())
            .append("updateTime", getUpdateTime())
            .append("updateBy", getUpdateBy())
            .append("remark", getRemark())
            .toString();
    }
}
